
if [ $TARGET = ithaca ];then
  if [ $COMPILER = auto ];then
    COMPILER="ifort -L${MPIDIR}/lib ${MPILIBS}"
  fi
  MPIF_PATH="${MPIDIR}/include/mpif.h"
  narch=linux_${OS_VERSION}
  export arch=${ARCH}
  SFMFLAG=""
  CPP_DEFINES=""
fi

if [ $TARGET = ibmpower5 ];then
  if [[ $COMPILER = auto ]]; then
    COMPILER=xlf90_r
  fi
  MPIF_PATH="${MPIDIR}/include/mpif.h"
  narch=ibm_power5
  SFMFLAG=""
  CPP_DEFINES=""
  export arch=ibm_power5
  export OBJECT_MODE=64
fi

if [ $TARGET = linuxlam ];then
  if [ $COMPILER = auto ];then
    COMPILER=pgf90
  fi
  MPIF_PATH="/home/rd/ne1/lam/include/mpif.h"
  narch=linux_${OS_VERSION}
  export arch=linuxlam
  SFMFLAG=""
  CPP_DEFINES=""
fi

if [ $TARGET = Linux_altix ];then
  if [ $COMPILER = auto ];then
    COMPILER=ifort
  fi
  MPIF_PATH="/usr/include/mpif.h"
  narch=linux
  export arch=Linux_altix
  SFMFLAG=""
  CPP_DEFINES=""
fi

if [ $TARGET = gfortranopenmpi ];then
  if [ $COMPILER = auto ];then
    COMPILER=pgf90
  fi
  MPIF_PATH="${HOME}/gcc//include/mpif.h"
  narch=linux_${OS_VERSION}
  export arch=gfortranopenmpi
  SFMFLAG=""
  CPP_DEFINES=""
fi
